org.apache.hadoop.mapreduce.v2.hs.webapp.dao

## Class HistoryInfo

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.hs.webapp.dao.HistoryInfo

-     public class HistoryInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `hadoopBuildVersion`
    `protected String` | `hadoopVersion`
    `protected String` | `hadoopVersionBuiltOn`
    `protected long` | `startedOn`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HistoryInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHadoopBuildVersion()`
    `String` | `getHadoopVersion()`
    `String` | `getHadoopVersionBuiltOn()`
    `long` | `getStartedOn()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### startedOn

          protected long startedOn

    - #### hadoopVersion

          protected String hadoopVersion

    - #### hadoopBuildVersion

          protected String hadoopBuildVersion

    - #### hadoopVersionBuiltOn

          protected String hadoopVersionBuiltOn

  - ### Constructor Detail

    - #### HistoryInfo

          public HistoryInfo()

  - ### Method Detail

    - #### getHadoopVersion

          public String getHadoopVersion()

    - #### getHadoopBuildVersion

          public String getHadoopBuildVersion()

    - #### getHadoopVersionBuiltOn

          public String getHadoopVersionBuiltOn()

    - #### getStartedOn

          public long getStartedOn()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.